Get Call Disposition
curl --request GET \
--url https://api.trillet.ai/v1/api/call-dispositions/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/call-dispositions/{id}"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/call-dispositions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-02T14:00:00.000Z",
"attempt": 1,
"agentId": "665a1b2c3d4e5f6a7b8c9d0f",
"batchId": "665a1b2c3d4e5f6a7b8c9d10",
"notes": "Customer requested callback after 2pm",
"createdAt": "2024-06-01T10:00:00.000Z"
}
Get Call Disposition
Retrieve a specific call disposition by its ID.
GET
/
v1
/
api
/
call-dispositions
/
{id}
Get Call Disposition
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the call disposition.
Response Fields
string
Unique identifier for the disposition.
string
Phone number associated with the disposition.
string
Disposition type (e.g., “callback_scheduled”, “no_answer”, “completed”).
string
Current status of the disposition.
string
Scheduled callback time (if applicable).
number
Attempt number for this call.
string
Agent ID that handled the call.
string
Batch call ID (if part of a batch).
string
Any notes from the call or disposition.
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"disposition": "callback_scheduled",
"status": "pending",
"scheduledAt": "2024-06-02T14:00:00.000Z",
"attempt": 1,
"agentId": "665a1b2c3d4e5f6a7b8c9d0f",
"batchId": "665a1b2c3d4e5f6a7b8c9d10",
"notes": "Customer requested callback after 2pm",
"createdAt": "2024-06-01T10:00:00.000Z"
}
⌘I
